/*
 * Copyright (c) 2016 Stacktips {link: http://stacktips.com}.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package de.ferreum.datepicker

import android.graphics.drawable.Drawable
import androidx.annotation.StyleRes
import java.time.LocalDate
import java.time.YearMonth

interface DayDecorator {
    suspend fun decorate(date: LocalDate): Decoration?
}

interface MonthDecorator {
    suspend fun decorate(yearMonth: YearMonth): Decoration?
}

sealed class Decoration {
    data class TextAppearance(@StyleRes val styleId: Int) : Decoration()
    data class Background(val drawable: Drawable) : Decoration()
}
